PAMPHLETANGLER(1)

NAME
pamphletangler - Extract code bits from LaTeX pamphlet files.

SYNOPSIS
pamphletangler [OPTION...] FILE CHUNKNAME

DESCRIPTION
The clojure pamphlet system is a system based on the clojure literate system. In the clojure's pamphlet system you have your main LaTeX file, which can be compiled regularly. This file contains documentation and source code (just like in other forms of literate programming). This code snippets are wrapped in the 'chunk' environment, hence they can be recognized by the tangler in order to extract them. Chunks can be included inside each other by the 'getchunk' command (which will be typesetted acordingly). Finally, you run your LaTeX file through the tangler and get your desired chunk of code.

OPTIONS

-L, --line=linetext
    If set, this text will be inserted after jumps of lines, changing the string inside "changetext" for the line number. This is used so that error report refers to pamphlet line number instead of output line number

-C, --change=changetext
    Defaults to "{}" this is the text that will be replaced with the line number if the linetext option is specified

-?, --help
    Give this help list

--usage
    Give a short usage message

--man
    Print manual page

-V, --version
    Print program version

LICENSE
Copyright (C) 2019 Ernesto Lanchares Sanchez.

   The clojure-pamphlet tagler is free software; you can redistribute
   it and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software Foundation;
   either version 3 of the License, or (at your option) any later
   version.

  The clojure-pamphlet tangler is distributed in the hope that it
  will be useful, but WITHOUT ANY WARRANTY; without even the implied
  warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  See the GNU Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this program; if not, see
  L<http://www.gnu.org/licenses/>.

AUTHOR
Ernesto Lanchares <e.lancha98@gmail.com>

BUGS
Report bugs to e.lancha98@gmail.com